INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/tderesources/lib \
					 -I$(top_builddir)/tderesources/lib $(all_includes)

lib_LTLIBRARIES = libtdeabc_newexchange.la libkcal_newexchange.la 
noinst_LTLIBRARIES = libknewexchange.la

libknewexchange_la_SOURCES = exchangeglobals.cpp exchangeconvertercalendar.cpp exchangeconvertercontact.cpp

libkcal_newexchange_la_SOURCES = exchangecalendaradaptor.cpp kcal_resourceexchange.cpp 
libkcal_newexchange_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) \
                               -version-info 1:0:0 -no-undefined
libkcal_newexchange_la_LIBADD = \
  libknewexchange.la ../lib/libkgroupwaredav.la \
  $(top_builddir)/libkcal/libkcal.la $(top_builddir)/libtdepim/libtdepim.la \
  -ltdeabc
	
libtdeabc_newexchange_la_SOURCES = tdeabc_resourceexchange.cpp exchangeaddressbookadaptor.cpp
libtdeabc_newexchange_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) \
                               -version-info 1:0:0 -no-undefined
libtdeabc_newexchange_la_LIBADD = \
  libknewexchange.la ../lib/libkgroupwaredav.la \
  $(top_builddir)/libkcal/libkcal.la $(top_builddir)/libtdepim/libtdepim.la \
  -ltdeabc

kde_module_LTLIBRARIES = kcal_newexchange.la tdeabc_newexchange.la

kcal_newexchange_la_SOURCES = kcal_resourceexchange_plugin.cpp
kcal_newexchange_la_LDFLAGS = $(all_libraries) -module -no-undefined $(KDE_PLUGIN)
kcal_newexchange_la_LIBADD = libkcal_newexchange.la

tdeabc_newexchange_la_SOURCES = tdeabc_resourceexchange_plugin.cpp
tdeabc_newexchange_la_LDFLAGS = $(all_libraries) -module -no-undefined $(KDE_PLUGIN)
tdeabc_newexchange_la_LIBADD = libtdeabc_newexchange.la


kcal_servicedir = $(kde_servicesdir)/tderesources/kcal
kcal_service_DATA = kcal_newexchange.desktop

tdeabc_servicedir = $(kde_servicesdir)/tderesources/tdeabc
tdeabc_service_DATA = tdeabc_newexchange.desktop

METASOURCES = AUTO

kcal_resourceexchange.lo tdeabc_resourceexchange.lo: ../lib/tderesources_groupwareprefs.h

